Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07114 Misc. Minor Always Oct 14, 2018, 07:47 18 days ago
Tester star2root View Status Public Platform MAME (Self-compiled)
Assigned To Resolution No change required OS
Status [?] Closed Driver ibmpcjr.cpp
Version 0.202 Fixed in Version Build
Summary MESS-specific 07114: ibmpcjr: The IBM PC Jr driver now appears to require the Quicksilver rom
Description While support for this rom is nice to have, it should not be required.
Relevant code below.

        ROM_SYSTEM_BIOS( 1, "quiksilver", "Quicksilver" ) // Alternate bios to boot up faster (Synectics)
        ROMX_LOAD("quiksilv.rom", 0x0000, 0x10000, CRC(86aaa1c4) SHA1(b3d7e8ce5de17441891e0b71e5261ed01a169dc1), ROM_BIOS(1))
Steps To Reproduce Either run a verifyroms on the ibmpcjr without the quicksilver rom present, or attempt to launch the emulation from the menu.
Additional Information
Flags
Regression Version
Affected Sets / Systems ibmpcjr
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.15543
Tafoid
Administrator
Oct 16, 2018, 23:13
If you do self-compile, it is easy enough to change a rom in a driver to OPTIONAL.
AFAIK, there is no policy to make certain roms or alternative bioses not required as part of the romset. This is a main reason why such bioses such as "neogeo.zip" are being updated 1-2x a year adding new versions of universal bioses which are not default.

In this example, perhaps there is a good reason to make the bios data optional.
Setting this as DIRECTION NEEDED and hopefully an experienced Dev can make a decision or a statement.
User avatar
No.15545
Robbbert
Developer
Oct 17, 2018, 09:34
Alternate BIOSes have always been required. That is the normal practice.

In HBMAME, I make all Neogeo bioses (except 0) to be OPTIONAL; it allows people who can't find the latest addition to be able to run the games. Rom managers will ignore the OPTIONAL flag and still do what they always do.

However, I'm undecided if OPTIONAL is the right thing in this particular case.

Let's see what others have to say.
User avatar
No.15685
star2root
Tester
21 days ago
Can you give an example showing the code to load it as optional please?
Thanks!
User avatar
No.15717
Tafoid
Administrator
18 days ago
"ROM_LOAD_OPTIONAL" string search of the source files should located examples.
Given the recent commit here https://github.com/mamedev/mame/commit/23910629f0314790c23bfc39b8cdbf832d5582e1 , I suspect it will be used less and less and a general BIOS law of ignoring alternate bioses may be able to be applied. I wouldn't get too attached to it.

Closing.. no change needed.
User avatar
No.15731
Robbbert
Developer
18 days ago
You can't use ROM_LOAD_OPTIONAL while also specifying a bios.

To make a bios optional, include ROM_OPTIONAL with the options at the end of the ROMX line.

e.g.

ROMX_LOAD("quiksilv.rom", 0x0000, 0x10000, CRC(86aaa1c4) SHA1(b3d7e8ce5de17441891e0b71e5261ed01a169dc1), ROM_OPTIONAL | ROM_BIOS(1))